## org.eclipse.datatools.sqltools.result.internal.ui.view
Class ResultSection.OutputThread

    java.lang.Object
      java.lang.Thread
          org.eclipse.datatools.sqltools.result.internal.ui.view.ResultSection.OutputThread

All Implemented Interfaces:
  java.lang.Runnable

Enclosing class:
  ResultSection

    public class ResultSection.OutputThread

extends java.lang.Thread

Author:
  linsong

Nested Class Summary

Nested classes/interfaces inherited from class java.lang.Thread
`java.lang.Thread.State, java.lang.Thread.UncaughtExceptionHandler`

Field Summary

Fields inherited from class java.lang.Thread
`MAX_PRIORITY, MIN_PRIORITY, NORM_PRIORITY`

Constructor Summary
`ResultSection.OutputThread(org.eclipse.swt.widgets.Display display)`

Method Summary
`void` `run()`

Methods inherited from class java.lang.Thread

`activeCount, checkAccess, countStackFrames, currentThread, destroy, dumpStack, enumerate, getAllStackTraces, getContextClassLoader, getDefaultUncaughtExceptionHandler, getId, getName, getPriority, getStackTrace, getState, getThreadGroup, getUncaughtExceptionHandler, holdsLock, interrupt, interrupted, isAlive, isDaemon, isInterrupted, join, join, join, resume, setContextClassLoader, setDaemon, setDefaultUncaughtExceptionHandler, setName, setPriority, setUncaughtExceptionHandler, sleep, sleep, start, stop, stop, suspend, toString, yield`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ResultSection.OutputThread

    public ResultSection.OutputThread(org.eclipse.swt.widgets.Display display)

Method Detail

### run

    public void run()

  Specified by:
    `run` in interface `java.lang.Runnable`
  Overrides:
    `run` in class `java.lang.Thread`